Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83139 - fix comment in /etc/screenrc
Summary: fix comment in /etc/screenrc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-30 18:14 UTC by David Balažic
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-16 13:52:51 UTC


Attachments (Terms of Use)

Description David Balažic 2003-01-30 18:14:30 UTC
Description of problem:

the file /etc/screenrc contain the following :

# This makes screen treat backspaces '^?' as
# deletes. There should be a fix in the code
# for the way termcap inheritance works,
# but I dont know where to put it, and this works.
bindkey -d -k kb stuff "\010"

That comment is mostly inaccurate. I recommend replacing it with :

# This makes screen convert backspaces to ^H,
# as it is documented to do ( see man screen ),
# but it doesn't. There should be a fix in the code
# where code translation works, but I dont know where
# to put it, and this works.
bindkey -d -k kb stuff "\010"



Version-Release number of selected component (if applicable):
screen-3.9.13-2

Comment 1 Lon Hohberger 2003-04-16 13:52:51 UTC
Comment changed.  New version of screen, 3.9.15, will be in rawhide soon.

Until then:

http://people.redhat.com/lhh/screen-3.9.15-1.i386.rpm
http://people.redhat.com/lhh/screen-3.9.15-1.src.rpm


Note You need to log in before you can comment on or make changes to this bug.